Bug 1942117 - Administrator -> Workloads - i18n misses
Summary: Administrator -> Workloads - i18n misses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
: 4.8.0
Assignee: ralpert
QA Contact: Yanping Zhang
URL:
Whiteboard: Scrubbed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-23 17:08 UTC by Krishna Babu K
Modified: 2021-07-27 22:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Text was not internationalized. Consequence: Text was not translated; poor user experience. Fix: Internationalized text. Result: Bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:55:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
i18n misses - workloads menu (2.21 MB, application/zip)
2021-03-23 17:08 UTC, Krishna Babu K
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8505 0 None open [WIP] Bug 1942117: Fix Workloads i18n misses 2021-03-29 19:56:58 UTC
Github openshift console pull 8932 0 None open Bug 1942117: i18n Add Storage page 2021-05-14 14:50:51 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:55:26 UTC

Description Krishna Babu K 2021-03-23 17:08:36 UTC
Created attachment 1765632 [details]
i18n misses - workloads menu

Created attachment 1765632 [details]
i18n misses - workloads menu

Description of problem:
In Administrator perspective, 'Workloads' menu navigation has some content in English. Took the screenshots and attached here for reference 

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-03-22-064955

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Content is in English

Expected results:
Content should be in selected language.

Additional info:

Comment 1 ralpert 2021-03-25 16:26:09 UTC
Notes on files:
* Terminal "connecting to" heading (Screenshot from 2021-03-23 21-52-39) is correctly pseudolocalized
* Terminal "terminal connection has closed" (Screenshot from 2021-03-23 21-52-41) - this looks like it was missed
* Deployments Edit Pod Count modal (Screenshot from 2021-03-23 21-54-30) is correctly pseudolocalized
* Deployments Edit Horizontal Pod Autoscaler (Screenshot from 2021-03-23 21-55-14) - titles are fine, but descriptions contain non-i18ned info
* Deployments Add Storage (Screenshot from 2021-03-23 21-55-50) - form appears to have been missed almost entirely
* Deployments Edit Update Strategy (Screenshot from 2021-03-23 21-56-05) - modal appears to have been missed
* Create Knative Service form (Screenshot from 2021-03-23 21-57-25) - not sure where to find this one; unable to verify
* DeploymentConfigs empty message (Screenshot from 2021-03-23 22-01-43) is correctly pseudolocalized
* StatefulSet create button (Screenshot from 2021-03-23 22-05-56) is correctly pseudolocalized
* StatefulSet details page Volume section remove volume modal (Screenshot from 2021-03-23 22-07-18) - modal appears to have been missed
* Secret header (Screenshot from 2021-03-23 22-08-59) is correctly pseudolocalized
* Secret Create Image Pull Secret form (Screenshot from 2021-03-23 22-09-16) is correctly pseudolocalized
* Secret Create Source Secret form (Screenshot from 2021-03-23 22-09-27) is correctly pseudolocalized
* Secret Create Webhook Secret form (Screenshot from 2021-03-23 22-09-35) is correctly pseudolocalized
* Jobs page create button (Screenshot from 2021-03-23 22-14-59) is correctly pseudolocalized

To fix:
* Terminal "terminal connection has closed" (Screenshot from 2021-03-23 21-52-41) needs to be internationalized
* Deployments Edit Horizontal Pod Autoscaler (Screenshot from 2021-03-23 21-55-14) descriptions ("[ḈṔṲṲ] request and limit must be set before [ḈṔṲṲ] utilization can be set." and "[Ṁḛḛṃṓṓṛẏẏ] request and limit must be set before [Ṁḛḛṃṓṓṛẏẏ] utilization can be set.") need to be internationalized
* Deployments Add Storage (Screenshot from 2021-03-23 21-55-50) - form appears to have been missed almost entirely
* Deployments Edit Update Strategy (Screenshot from 2021-03-23 21-56-05) - modal appears to have been missed
* Create Knative Service form (Screenshot from 2021-03-23 21-57-25) - not sure where to find this one; unable to verify
* StatefulSet details page Volume section remove volume modal (Screenshot from 2021-03-23 22-07-18) - modal appears to have been missed

Comment 2 ralpert 2021-03-25 18:03:21 UTC
Spoke to Afreen. The Create Knative Service form is reachable by going to Installed Operators -> Serverless Operator -> create knative service. It appears to be missing i18n work and require a bug fix as well.

Comment 3 ralpert 2021-03-30 13:47:51 UTC
I spoke to Dev Console and Sam and the English in the Create Knative Service form are dynamic forms coming from the CRD schema. There’s no way for us to translate them currently. This falls under the bucket of “data from k8s resources” that we aren’t translating.

Comment 4 Samuel Padgett 2021-04-16 14:39:46 UTC
Marking this low since the other i18n bugs we have are also low severity.

Comment 6 Yanping Zhang 2021-05-14 10:39:28 UTC
Checked on ocp 4.8 cluster with payload 4.8.0-0.nightly-2021-05-13-180601.
According to Comment1, checked if the "To fix" items are fixed for i18n:
Fixed:
1. Terminal "terminal connection has closed": has been marked for i18n
2. Deployments Edit Horizontal Pod Autoscaler : has been marked for i18n
3. Deployments Edit Update Strategy: has been marked for i18n
4. StatefulSet details page Volume section remove volume modal: has been marked for i18n
Not fix:
1. Deployments Add Storage: still not pseudolocalized

The pr resolved i18n issue, but the original issue stated in bug description are requiring local language translations, will this translation be tracked?

Comment 7 ralpert 2021-05-14 13:57:26 UTC
Oh yikes, totally missed that one! Thanks @yanpzhan. I'll fix that. :)

We haven't really been tracking whether local language translations are added for the most part. What are your thoughts?

Comment 9 Yanping Zhang 2021-05-17 02:27:59 UTC
About the local language translations, if they are not tracked in bugs, we don't know the progress. If they can be recorded in a place, once translation files are ready, we could mark items done.

Checked on ocp 4.8 cluster with payload 4.8.0-0.nightly-2021-05-15-141455. Now "Add Storage" modal is marked for translation. All i18n issues mentioned in Comment1 are fixed.

Comment 12 errata-xmlrpc 2021-07-27 22:55:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.